Bug 243150 - net-p2p/deluge-cli: pkg search deluge found nothing
Summary: net-p2p/deluge-cli: pkg search deluge found nothing
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-07 07:23 UTC by s84918960@gmail.com
Modified: 2020-01-11 03:48 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback? (rm)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description s84918960@gmail.com 2020-01-07 07:23:36 UTC
i want install deluge-cli use pkg
pkg search deluge ,get nothing
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2020-01-07 08:37:24 UTC
portsjail% ls -d1 */*deluge*
net-p2p/deluge
net-p2p/deluge-cli
Comment 2 s84918960@gmail.com 2020-01-07 09:04:41 UTC
(In reply to Mark Linimon from comment #1)
i want install deluge use pkg directly,no make no Compile
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-07 09:08:02 UTC
@Reporter, Can you please provide additional information, including:

- Exact FreeBSD version (uname -a)
- Package configuration (quarterly?, latest?)
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-07 09:12:49 UTC
deluge* package building is currently being skipped due to "py27-libtorrent-rasterbar-1.2.2" which is currently being ignored due to being marked BROKEN [1]:

Doesn't install anything since the last major release: https://github.com/arvidn/libtorrent/issues/4204

[1] ports r520654
Comment 5 s84918960@gmail.com 2020-01-07 09:18:08 UTC
i see ,thanks
Comment 6 avatar4d 2020-01-10 06:18:24 UTC
Temporary workaround to get it installed:


Edit /etc/pkg/FreeBSD.conf

 Change 

url: "pkg+http://pkg.FreeBSD.org/${ABI}/quarterly",  

to

 url: "pkg+http://pkg.FreeBSD.org/${ABI}/release_1",


then you can pkg install deluge



NOTE: If you change the file back, don't upgrade anything until this is fixed or it will delete it again.
Comment 7 s84918960@gmail.com 2020-01-11 03:48:23 UTC
thanks